/usr/bin/ld: cannot find -lperl

i hate this error

here is the fix:
hostname:/usr/lib$ sudo ln -s libperl.so.5.8 libperl.so
substitute 5.8 for whatever your version number is

all you are doing is creating a link from /usr/lib/libperl.so.5.8 to /usr/lib/libperl.so